<?php
error_reporting(0); 
include("../../config/qiantai.php");
session_start();
if(!isset($_SESSION['username'])){echo "<script>alert('请重新登录!')</script><script>top.location.href='/index$dshz'</script>";exit;}
$username=$_SESSION['username'];
$type="where name='$username'";
$user=queryall(user,$type);
$userid=$user['userid'];
if(!$user){echo "<script>alert('请重新登录!')</script><script>top.location.href='/index$dshz'</script>";exit;}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="gb2312">
<title>下线用户</title>
<meta name="renderer" content="webkit">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<meta name="apple-mobile-web-app-status-bar-style" content="black">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="format-detection" content="telephone=no">
<link rel="stylesheet" href="/2019newui/qiantai/css/x-admin.css" media="all">
</head>
<body>
<div class="x-body">
<?php
$sql = mysql_query("SELECT * FROM user WHERE  tjr='$userid'");
$bs = mysql_num_rows($sql);
?>
<blockquote class="layui-elem-quote">
<dl class="apps-filter-tr">
<dt><span  class="xb">我的下级</span> <span style="font-size:14px;color:#ff0000">(友情提示：通过你的邀请码注册的下线代理均会显示在这里！)</span></dt>
</dl>
<span class="x-right" style="margin-top:-24px;line-height:10px">共有下线：<?php echo $bs?> 个 <a class="layui-btn-small" style="line-height:10px;margin-top:-2px;float:right"  href="javascript:location.replace(location.href);" title="刷新"><i class="fa fa-refresh"></i></a></span>
</blockquote>
<table class="layui-table">
<thead>
<tr>
<th   style="text-align:center;" >用户名</th>
<th   style="text-align:center;" >注册时间</th>
<th   style="text-align:center;" >所用邀请码</th>
</tr> 
</thead>
<tbody>
<?php 
$page_size=15; 
$user = "WHERE 1=1";
$user .=" and tjr='$userid' ";
$resultbb = mysql_query("select id from   user    ".$user."");
$count = mysql_num_rows($resultbb);
if($count == 0){echo '<tr><td colspan="3" style="text-align:center;">没有记录</td></tr> ';}
$page_count = ceil($count/$page_size); 
$init=1; 
$page_len=7; 
$max_p=$page_count; 
$pages=$page_count; 
if(empty($_GET['page'])||$_GET['page']<0){ 
$page=1; 
}else { 
$page=$_GET['page']; 
} 
$offset=$page_size*($page-1); 
$queryk = mysql_query("select * from   user   ".$user."  order by id desc     limit $offset, $page_size");
while ($ggg=mysql_fetch_array($queryk)) { 
?> 	
<tr>
<td    style="text-align:center;" ><?php echo $ggg['name']?></td>
<td   style="text-align:center;" ><?php echo  $ggg['shijian']?></td>
<td    style="text-align:center;" ><?php echo $ggg['yqm']?></td>
</tr>
<?php 
} 
$page_len = ($page_len%2)?$page_len:$pagelen+1;//页码个数 
$pageoffset = ($page_len-1)/2;//页码个数左右偏移量 
if($page!=1){ 
$keyt.="<a href=\""."/xxpage/1/\">首页</a>"; //首页 
$keyt.="<a href=\""."/xxpage/".($page-1)."/\">上一页 </a>"; //上一页 
}else { 
$keyt.="<p>首页</p>"; //首页 
$keyt.="<p>上一页 </p>"; //上一页  
} 
if($pages>$page_len){ 
//如果当前页小于等于左偏移 
if($page<=$pageoffset){ 
$init=1; 
$max_p = $page_len; 
}else{//如果当前页大于左偏移 
//如果当前页码右偏移超出最大分页数 
if($page+$pageoffset>=$pages+1){ 
$init = $pages-$page_len+1; 
}else{ 
//左右偏移都存在时的计算 
$init = $page-$pageoffset; 
$max_p = $page+$pageoffset; 
} 
} 
} 
for($i=$init;$i<=$max_p;$i++){ 
if($i==$page){ 
$keyt.='<a class="cur">'.$i.'</a>'; 
} else { 
$keyt.="<a href=\""."/xxpage/".$i."/\">".$i."</a>"; 
} 
} 
if($page!=$pages){ 
$keyt.="<a href=\""."/xxpage/".($page+1)."/\">下一页 </a> ";//下一页 
$keyt.="<a href=\""."/xxpage/{$pages}/\">尾页</a> "; //最后一页 
}else { 
$keyt.="<p>下一页 </p>";//下一页 
$keyt.="<p>尾页</p>"; //最后一页 
} 
$keyt.="<p class='pageRemark' >当前第 <b> $page </b> 页/共 <b> $pages </b> 页  共 <b>$count</b> 条数据 </p>"; //第几页,共几页 
?>   	    
</tbody>
</table>
<div style="padding:0 20px;">
<div class="pagination">
<?php if($count =="0"){?><?php }else{?><?php echo $keyt?><?php }?>
</div>
</div>
</div>
</div>
</body>
</html>